
Foreman - Bug #11371

Smart variables are not truncated in host edit form

08/16/2015 07:11 AM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2610

  

Description

Create a smart variable with the a very long name.

go to a host connected to the puppetclass where you added the parameter.

The parameter is not truncated and pushes aside the rest of the columns in the parameters table.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Has duplicate Foreman - Bug #7851: Long smart class parameters and values get... Duplicate 10/08/2014

Associated revisions

Revision f0582067 - 08/17/2015 09:55 AM - Amir Fefer

Fixes #11371,#4410 - puppet parameters truncated and tooltip added

History

#1 - 08/16/2015 07:12 AM - Amir Fefer

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 08/16/2015 10:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2610 added

- Pull request deleted ()

#3 - 08/17/2015 10:03 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f058206727367735eb7086afc6fca38401561a6e.

#4 - 08/17/2015 10:08 AM - Dominic Cleal

- Category set to Web Interface

- % Done changed from 100 to 0

- translation missing: en.field_release set to 63

#5 - 10/07/2015 07:14 AM - Tomer Brisker

- Has duplicate Bug #7851: Long smart class parameters and values gets truncated in foreman "Parameters" section added
